Get pronunciation dictionary
curl --request GET \
--url https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.voice.ai/api/v1/tts/pronunciation-dictionaries/{dictionary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"current_version": 123,
"created_at_unix": 123,
"updated_at_unix": 123,
"rules": [],
"versions": []
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"detail": "<string>",
"code": "<string>"
}Pronunciation Dictionaries
Get pronunciation dictionary
GET
/
api
/
v1
/
tts
/
pronunciation-dictionaries
/
{dictionary_id}
Get pronunciation dictionary
Authorizations
Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer
Path Parameters
Response
Successful Response
Dictionary identifier
Dictionary display name
Dictionary language code
Current active version number
Creation timestamp in unix seconds
Last update timestamp in unix seconds
Rules in the active version
Show child attributes
Show child attributes
Version history
Show child attributes
Show child attributes
⌘I